/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

/*-------------search  POP CSS-----------------*/

div.is-ajax-search-details {
    display: none !important;
}
.srch-mnu-hme ul li:not(:last-child) {
    display: none !important;
}
.hed-mnu-link .cstm-search-hide {
  display: none !important;
}

.srch-mnu-hme .cstm-search-hide {
    width: 24px;
    margin-top: 1px;
}
/* for simple product cart button */
.single-prodt-pg form.cart {
    display: flex;
}
.single-prodt-pg form.variations_form.cart {
    display: block;
}


a.button.product_type_variable.add_to_cart_button ,
a.button.product_type_variable {
    display: none !important;
}
/*------------------hover css for link  ------------------*/
.hed-mnu-link .sub-menu a.hfe-sub-menu-item {
    margin: 0 35px;
}
.hed-mnu-link nav .sub-menu a ,
.hed-mnu-link nav ul li a {
  position: relative;
  padding-bottom: 3px;
  color: #000000 !important;
  text-decoration: none;
}
.hed-mnu-link nav .sub-menu a::after ,
.hed-mnu-link nav ul li a::after {
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 1px;
  background-color: #245452 !important; /* underline color */
  transform: scaleX(0);
  transform-origin: left;  /* left → right */
  transition: transform 0.3s ease-out;
}
.hed-mnu-link nav .sub-menu a:hover::after ,
.hed-mnu-link nav ul li a:hover::after {
  transform: scaleX(1);
}



.hme-btn-hvr a.elementor-button:hover {
	background-color: #ffffff !important;
    border-color: #000000 !important;
    color: #000000;
}
button.btn-close-single-pg:hover ,
button.btn-read-more-single-pg:hover ,
button.btn-close-single-pg:focus-visible ,
button.btn-read-more-single-pg:focus-visible {
	background-color: none !important;
	border: none !important;
	color: black;
}

.hme-acrdn-btm details {
    border-radius: 8px !important;
    overflow: hidden;
}

.cate-pg .woocommerce-ordering select {
  -webkit-appearance: none; 
  -moz-appearance: none;    
  appearance: none;
  background: none;
  padding-right: 2rem; 
  position: relative;
}
.cate-pg .woocommerce-ordering {
  position: relative;
  display: inline-block;   
}
.cate-pg .woocommerce-ordering::after {
  content: "";
  position: absolute;
  right: 10px;              
  top: 50%;
  transform: translateY(-50%);
  width: 16px;              
  height: 16px;
  background: url('https://trey5dispensary.com/wp-content/uploads/2025/09/down-arrow.png') no-repeat center center;
  background-size: contain;
  pointer-events: none;    
}


.cate-pg .woocommerce-ordering select {
  padding-right: 2.5rem;    
}
.cate-pg .woocommerce-pagination .page-numbers {
    display: flex;
    justify-content: center;
    border: none;
    gap: 20px;
}
.woocommerce-pagination a.page-numbers ,
.woocommerce-pagination span.page-numbers.current {
    color: black !important;
	border: 1px solid black !important;
}
.woocommerce-pagination span.page-numbers.current {
    background-color: black !important;
	 color:white !important;
}













p {
	margin-bottom: 0 !important;
}

.hme-product {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 20px;
}
.hme-product-card {
    text-align: center;   
}
.hme-p-thumbnail {
    border: 2px solid #000000;
    border-radius: 10px;
    overflow: hidden;
}

.hme-p-thumbnail img {
    transition: transform 0.5s ease;
}

.hme-p-thumbnail:hover img {
    transform: scale(1.05); 
}

span.product-tag {
    color: #556761;
    font-size: 12px;
    line-height: 15px;
    font-weight: 400;
}
span.woocommerce-Price-amount.amount {
    font-size: 18px;
    line-height: 24px;
    font-weight: 600;
	color:#000000;
}
.cate-pg p.woocommerce-result-count ,
.hme-product-content h2 a {
	color: #000000 !important;
}
.hme-product-content h2 {
    font-size: 22px;
    font-weight: 600;
    color: #000000;
    font-family: 'inter';
    margin: 10px 0;
    padding: 0 15px;
}

/*-----------------product page css-------------*/
.tax-product_cat .site-main {
	max-width:100% !important;
	width:100% !important;
	padding: 0 !important;
}
.cat-pg-hdng h1 {
    color: #faf9f6 !important;
    text-align: left;
    padding: 0;
}
.cate-pg, .single-product .site-main, .search-results .site-main, .woocommerce-cart .site-main, .woocommerce-cart .entry-title {
    max-width: 1400px !important;
    width: 100% !important;
	margin: 0 auto;
} 
.single-product .summary.entry-summary.single-prodt-pg h1.product_title.entry-title {
    font-size: 35px;
    line-height: 35px;
    font-weight: 600;
    color: #000000;
}

.single-prodt-pg table.variations tr {
    display: flex;
    flex-direction: column;
    text-align: left;
}
.single-prodt-pg table.variations tr th,
.single-prodt-pg table.variations tr td {
	background-color: white !important;
	padding-top:0;
} 
.single-prodt-pg table.variations tr td {
	padding-bottom:0;
}
.single-prodt-pg table.variations tr td select {
    padding: 17px;
    border-radius: 100px;
    border-color: #000000 !important;
	color: #000000;
}
/* .single-prodt-pg form.cart {
    display: flex;
} */
.single-prodt-pg .woocommerce-variation-add-to-cart.variations_button{
	display:flex;
}
.single-prodt-pg button.single_add_to_cart_button.button.alt {
    width: 100%;
    background-color: #000;
    padding: 17px;
    border-radius: 0 100px 100px 0;
	border: 1px solid #000;
	opacity:1;
}
.single-prodt-pg button.single_add_to_cart_button.button:hover {
	background-color: transparent !important;
	color: #000 !important;
}
.single-prodt-pg .quantity {
    background-color: #000;
    border-radius: 100px 0px 0px 100px;
    max-width: 100%;
    width: 25%;
	display:flex;
	justify-content:center;
}
.single-prodt-pg .quantity input {
    background-color: transparent;
    border: none;
	color:white;
/* 	width:100% !important; */
	vertical-align: middle;
}
.prdct-quantity {
	display:flex;
}
.prdct-quantity button:hover ,
.prdct-quantity button:focus {
    background-color: transparent !important;
	border: none !important;
	color: white !important;
}
.single-prodt-pg .woocommerce-variation-price {
    margin-top: -20px;
    margin-bottom: 20px;
}
.single-prodt-pg .quantity input:focus-visible {
    border: none !important;
}
/*-----------------------display none sku -------*/
.product_meta {
    display: none;
}
.single-product .woocommerce-product-gallery {
    display: flex;
    flex-direction: row-reverse;
	gap:20px !important;
}
.woocommerce-product-gallery .flex-control-thumbs li {
    width: 100% !important;
}
.woocommerce div.product div.images .flex-control-thumbs li img {
    opacity: 1;
	border-radius:15px;
}
.woocommerce div.product div.images .flex-control-thumbs li img.flex-active {
     border: 1px solid #245452;
    padding: 2px;
    border-radius: 20px;
}
.single-product .woocommerce span.onsale {
    top: 10px !important;
    left: 100px !important;
}
.single-product .woocommerce-product-gallery__image.flex-active-slide {
    border-radius: 20px;
	margin-right:1px !important;
	width:100%;
}
.woocommerce-product-gallery .flex-control-thumbs {
    display: flex;
    flex-direction: column;
/*     width: 34%; */
	width: 43%;
    gap: 20px;
}

.single-prodt-pg table.variations tr th {
	padding:0;
}
.single-prodt-pg table.variations tr th label {
    font-size: 16px;
    font-weight: 400 !important;
    line-height: 20px;
    color: #000000;
	margin-bottom:10px;
}

/*------------------metafield css of single product page ------------------*/

.custom-product-meta img {
    max-width: 20px;
    width: 100%;
    object-fit: contain;
}
a.cstm-meta-lab {
    color: #000000 !important;
    text-decoration: underline;
}
.custom-product-meta p {
    font-weight: 400;
    display: flex;
    gap: 20px;
}
.custom-product-meta p {
	font-size: 15px;
    font-weight: 400;
    line-height: 24px;
    color: #000000;
}
.custom-product-meta p span {
    font-size: 15px;
    font-weight: 600;
    line-height: 24px;
    color: #000000;
}
a.cstm-meta {
    font-size: 15px;
    font-weight: 600;
    line-height: 24px;
    color: #000000 !important;
    text-decoration: underline !important;
}
.custom-product-meta {
    display: flex;
    flex-direction: column;
    gap: 6px;
	margin: 44px 0;
}

button.btn-read-more-single-pg {
    background-color: transparent !important;
    color: #000000;
    border: none !important;
    border-radius: 0 !important;
    padding: 0;
    text-decoration: underline;
    font-size: 16px;
    font-weight: 600;
}
.single-prodt-pg table.variations tr td select:focus {
    outline: none !important;
}
.single-prodt-pg .woocommerce-product-details__short-description p {
    font-size: 18px;
    font-weight: 400;
    color: #000000;
    margin-bottom: 10px !important;
}
button.btn-close-single-pg {
    border-radius: 0;
    background-color: transparent !important;
    color: #000000;
    padding: 0;
    border: none !important;
    font-size: 16px;
    font-weight: 600;
}

.product-desc-dialog-single-pg {
	max-width: 512px;
    margin-right: 0;
    border: 1px solid #000000;
    margin-bottom: 0;
    margin-top: 0;
	padding:33px;
}
.product-desc-dialog-single-pg h1,
.product-desc-dialog-single-pg h2,
.product-desc-dialog-single-pg h3 {
    font-size: 30px;
    color: #000000;
}
.product-desc-dialog-single-pg a ,
.product-desc-dialog-single-pg p ,
.product-desc-dialog-single-pg strong ,
.product-desc-dialog-single-pg li {
 color: #000000 !important;
}
.product-desc-dialog-single-pg li {
 margin-left:-20px;
}

.animate {
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
}
.four {
  -webkit-animation-delay: 0.5s;
  -moz-animation-delay: 0.5s;
  animation-delay: 0.5s;
}
@-webkit-keyframes fadeInRight {
  from {
    opacity: 0;
    -webkit-transform: translate3d(100%, 0, 0);
    transform: translate3d(100%, 0, 0);
  }

  to {
    opacity: 1;
    -webkit-transform: none;
    transform: none;
  }
}
@keyframes fadeInRight {
  from {
    opacity: 0;
    -webkit-transform: translate3d(100%, 0, 0);
    transform: translate3d(100%, 0, 0);
  }

  to {
    opacity: 1;
    -webkit-transform: none;
    transform: none;
  }
}

.fadeInRight {
  -webkit-animation-name: fadeInRight;
  animation-name: fadeInRight;
}

.single-prodt-pg nav.woocommerce-breadcrumb {
    font-size: 13px;
    font-weight: 400;
    color: #000000;
    line-height: 22px;
    /* text-decoration: underline; */
    display: flex;
    column-gap: 5px;
    margin-bottom: 44px;
	margin-left: -10px !important;
	text-transform: uppercase;
}
.single-prodt-pg table.variations {
    margin-top: 44px;
}
.single-prodt-pg {
    padding-left: 50px;
    padding-top: 44px;
}
.prdct-quantity button {
    border: none;
    padding: 0;
    font-size: 25px;
    background: transparent; 
}
/* .prdct-quantity .sub {
    margin-left: 25px;
} */
/* Remove arrows from input type number */
.prdct-quantity input[type=number]::-webkit-inner-spin-button, 
.prdct-quantity input[type=number]::-webkit-outer-spin-button { 
  -webkit-appearance: none; 
  margin: 0; 
}

.prdct-quantity input[type=number] {
  -moz-appearance: textfield; /* Firefox */
}

/*-----------------related productpag-------*/

.single-rltd-pg ul.products li.product a img {
    border: 2px solid #000000;
	border-radius: 20px;
}

.single-rltd-pg ul.products li {
    text-align: center !important;
	margin: 0 !important;
	width: 25% !important;
}
/* .tax-product_cat h2 , */
.cate-pg h2 {
	font-size:24px !important;
}
.cate-pg h2 ,
.single-rltd-pg h2 {
    color: #000000 !important;
	text-align:center;
	padding: 66px 0;
}
.tax-product ul.products ,
.single-rltd-pg ul.products {
    display: flex;
    flex-direction: row;
    gap:20px; 
}

.tax-product_cat a.button.product_type_variable.add_to_cart_button ,
.single-rltd-pg a.button.product_type_simple.add_to_cart_button ,
.single-rltd-pg a.button.product_type_simple {
    display: none !important;
}
.acdn-single-temp span.e-opened svg ,
.acdn-single-temp span.e-closed svg {
    width: 20px !important;
}
.woocommerce .woocommerce-message{
	color: #000;
}
.woocommerce a.button.wc-forward {
    background: #000;
    color: #fff;
}

/*--------------------category page ---------------*/
.cate-pg {
	padding-top:88px !important;
}
.cate-pg ul.products.columns-4 {
    padding-top: 40px;
}
.cate-pg ul li {
    text-align: center;
}
.product-tags-cstm a {
    color: #4f4f4f;
    font-size: 12px;
    font-weight: 400;
    line-height: 15px;
}
.single-rltd-pg a.button.product_type_variable.add_to_cart_button  ,
.cate-pg a.button.product_type_simple ,
.cate-pg a.button.product_type_simple.add_to_cart_button.ajax_add_to_cart {
    display: none !important; 
}
.single-rltd-pg {
    padding-bottom: 88px;
}

.single-rltd-pg span.onsale {
    left: 20px !important;
    top: 20px !important;
}
.woocommerce span.onsale {
    background-color: #245452;
    border-radius: 4px;
    padding: 4px 6px;
    font-size: 12px;
    font-weight: 400;
    text-transform: uppercase;
    min-height: 17px !important;
    line-height: 12px;
}
.woocommerce ul.products li.product .onsale {
    left: 0;
    right: auto;
}
.cstm-crdn-cat-pg {
    display: none;
    visibility: hidden;
}
/* search popup css start*/
.is-popup-search-form form.is-ajax-search {
    margin: 5% auto 0;
}
.is-popup-search-form .is-form-style input.is-search-input, .is-form-style button.is-search-submit {
    height: 50px;
}
.is-form-style button.is-search-submit {
    background: #ededed;
    border-radius: 0;
    border: none;
}
.is-popup-search-form .is-search-icon{
	border: none;
}
.is-ajax-search-result .right-section a {
    color: #000;
    text-decoration: none !important;
	font-size: 16px;
}
.is-ajax-search-items span.woocommerce-Price-currencySymbol, .is-ajax-search-items .is-prices .amount {
    font-size: 18px;
    font-weight: 600 !important;
}
/* search popup css end*/
/* cart page css */
.woocommerce-cart a.wc-block-components-product-name {
    color: #000;
    text-decoration: none;
    font-weight: 500;
    font-size: 16px;
}
.woocommerce-cart .wp-block-woocommerce-cart.alignwide {
    margin-inline: 0;
}
.woocommerce-cart .entry-title {
    font-size: 32px;
    color: #000;
    margin: 20px 0 30px;
}
.woocommerce-cart span.price.wc-block-components-product-price {
    font-size: 16px;
	color: #000;
}
table.wc-block-cart-items .wc-block-cart-items__header th, .wc-block-components-formatted-money-amount {
    color: #000;
}
.woocommerce-cart a.wc-block-components-button.wp-element-button.wc-block-cart__submit-button.contained {
    background: #000;
    border-radius: 100px;
    text-decoration: none;
    color: #fff;
}
a.wc-block-components-button.wp-element-button.wc-block-cart__submit-button.contained:hover{
	background: transparent;
	color: #000;
}
/* cart page css end */
/*-------------------------------RESPONSIVE START -------------------------------------*/

@media (max-width:1500px) {
.cate-pg ,
.single-product .site-main {
	padding: 0 48px;
	}	
}


@media (max-width:1200px) {	
.single-prodt-pg {
		padding-left: 20px;
	}
.woocommerce-product-gallery .flex-control-thumbs {
    width: 48%;
}
.single-product .summary.entry-summary.single-prodt-pg h1.product_title.entry-title {
    font-size: 30px;
    line-height: 30px;
	}
.single-prodt-pg nav.woocommerce-breadcrumb {
		flex-wrap:wrap;
	}
.single-prodt-pg button.single_add_to_cart_button.button.alt {
    width: 71%;	
	}
}


@media (max-width:1024px) {	
.single-product .summary.entry-summary.single-prodt-pg h1.product_title.entry-title {
    font-size: 26px;
    line-height: 30px;
	}
.single-prodt-pg .quantity {
	width:40%;	
}
.cate-pg {
    padding-top: 66px !important;
}	
.hed-mnu-link nav .sub-menu a, .hed-mnu-link nav ul li a {
	padding-bottom: 10px !important;
}
.hed-mnu-link span.hfe-menu-toggle.sub-arrow {
    border: none !important;
}	
.cstm-search-hide a img {
    width: 24px;
    margin-top: 6px;	
}	
	.astm-search-menu-wrapper.is-menu-wrapper {
		display: none;
	}
}

@media (max-width:768px){
.hme-product {
    grid-template-columns: 1fr 1fr;
}
.hme-product-content h2 {
    font-size: 20px;  
    padding: 0;
	margin: 5px 0 0 0;
}
	
.mble-icn-hme .elementor-image-box-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
	gap:15px;
}
.mble-icn-hme .swiper-slide {
    flex-shrink: 0 !important;
    width: 50% !important;
    height: 100%;
    position: relative;
    transition-property: transform;
    display: block !important;
}

.mble-icn-hme .swiper {
      width: 100%;
      height: 100%;
    }

/*     .swiper-slide {
      text-align: center;
      font-size: 18px;
      display: flex;
      justify-content: center;
      align-items: center;
    } */

/*  .mble-icn-hme   .swiper-slide img {
      display: block;
      width: 100%;
      height: 100%;
      object-fit: cover;
    } */
/* 	.single-product .woocommerce-product-gallery {
    flex-direction: unset;
    gap: 0 !important;
  }
	.woocommerce-product-gallery .flex-control-thumbs {
    display: block;
    flex-direction: column !important;
    gap: 10px !important;
	width: auto !important;
	margin-top: 20px !important;	
}
	.woocommerce-product-gallery .flex-control-thumbs li {
    width: auto !important;
} */
.woocommerce-product-gallery .flex-control-thumbs {
    width: auto !important;
    margin-top: 20px !important;
	display: block !important;
}	
.single-product .woocommerce-product-gallery {
    display: block !important;
    flex-direction: unset !important;
    gap: 20px !important;
}	
.woocommerce-product-gallery .flex-control-thumbs li {
    width: auto !important;
    margin-right: 10px !important;
}	
.cate-pg, .single-product .site-main {
    padding: 0 15px;
}
.single-prodt-pg nav.woocommerce-breadcrumb {
    display: none;
}
.single-rltd-pg ul.products {
    flex-wrap: wrap;
	gap:10px;
	justify-content: space-between;
   display: block;
}	
.single-rltd-pg ul.products li {
    width: 47% !important;
}
.single-rltd-pg ul.products li.product a img {
    margin-bottom: 10px;
}	
.single-rltd-pg h2 {
    padding: 40px 0;
    font-size: 26px;
   margin-top: 0;
	margin-bottom: 0;
}
.single-rltd-pg {
    padding-bottom: 40px;
}
	.hed-mnu-link .sub-menu a.hfe-sub-menu-item {
    margin: 0 20px;
}
.hed-mnu-link nav .sub-menu a::after ,
.hed-mnu-link nav ul li a::after {
  content: none !important;
  
}	
.custom-product-meta p {
     gap: 10px;
}
	
}

@media (max-width:575px) {
	.woocommerce-product-gallery .flex-control-thumbs li {
    width: 20% !important;
}
.woocommerce span.onsale {   
    top: 1.5em;
    left: 1.5em;
}
.single-rltd-pg span.onsale {
    left: 15px !important;
    top: 15px !important;
}	
.single-product .woocommerce-product-gallery__image.flex-active-slide {
    border-radius: 0;
}
.single-prodt-pg {
    padding-left: 3px;
}
.custom-product-meta {   
    margin: 25px 0;
}	
.single-prodt-pg table.variations {
    margin-top: 28px;
}
.single-prodt-pg table.variations tr td select {
	padding: 14px;
}	
.woocommerce .quantity .qty {
    width: 2.631em; 
}	
.single-prodt-pg button.single_add_to_cart_button.button.alt {
    padding: 14px;
    font-size: 16px;
}
.cate-pg h2 {
    font-size: 15px !important;
}
.hme-product-content h2 a {
    font-size: 15px !important;
}
.cate-pg span.woocommerce-Price-amount.amount ,	
.single-rltd-pg span.woocommerce-Price-amount.amount {
    font-size: 15px !important;
}
.single-prodt-pg .quantity {
    width: 30%;
}	
.single-prodt-pg .woocommerce-variation-add-to-cart.variations_button {
    margin-top: -15px;
}
.product-desc-dialog-single-pg h1, .product-desc-dialog-single-pg h2, .product-desc-dialog-single-pg h3 {
    font-size: 24px;
}	
.cate-pg form.woocommerce-ordering {
    width: 100% !important;
    margin-top: 20px !important;
}	
.cate-pg {
    padding-top: 40px !important;
}
.single-prodt-pg .woocommerce-product-details__short-description p {
    font-size: 15px;	
}
.single-prodt-pg {
    padding-top: 10px;
}
.single-product .summary.entry-summary.single-prodt-pg h1.product_title.entry-title {
    font-size: 24px;
}	
}

@media(max-width:400px) {
	.is-popup-search-form form {
    width: 78%;
 
}
}
